org.gradle.api.artifacts

## Interface ExcludeRuleContainer

-     public interface ExcludeRuleContainer

  A container for adding exclude rules for dependencies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Map<String,String> args)` Adds an exclude rule to this container.
    `Set<ExcludeRule>` | `getRules()` Returns all the exclude rules added to this container.

- - ### Method Detail

    - #### getRules

          Set<ExcludeRule> getRules()

      Returns all the exclude rules added to this container. If no exclude rules has been added an empty list is returned.

    - #### add

          void add(Map<String,String> args)

      Adds an exclude rule to this container. The ExcludeRule object gets created internally based on the map values passed to this method. The possible keys for the map are:
      - `group` - The exact name of the organization or group that should be excluded.
      - `module` - The exact name of the module that should be excluded
      Parameters:
        `args` - A map describing the exclude pattern.